# Class BackupAccountReply

#### Hierarchy

- unknown
  - BackupAccountReply

- Defined in src/protobuf/grpc_pb.d.ts:340
- Defined in src/protobuf/grpc_pb.d.ts:354

#####
Index

### Constructors

constructor

### Methods

getZipBytes
getZipBytes_asB64
getZipBytes_asU8
serializeBinary
setZipBytes
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new BackupAccountReply(): BackupAccountReply

- #### Returns BackupAccountReply

  Inherited from jspb.Message.constructor

## Methods

### getZipBytes

- getZipBytes(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:341

### getZipBytes_asB64

- getZipBytes_asB64(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:343

### getZipBytes_asU8

- getZipBytes_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:342

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:346

### setZipBytes

- setZipBytes(value: string | Uint8Array): BackupAccountReply

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns BackupAccountReply

  - Defined in src/protobuf/grpc_pb.d.ts:344

### toObject

- toObject(includeInstance?: boolean): BackupAccountReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns BackupAccountReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:347

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): BackupAccountReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns BackupAccountReply

  - Defined in src/protobuf/grpc_pb.d.ts:350

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: BackupAccountReply, reader: BinaryReader): BackupAccountReply

- #### Parameters

  - ##### message: BackupAccountReply

  - ##### reader: BinaryReader

  #### Returns BackupAccountReply

  - Defined in src/protobuf/grpc_pb.d.ts:351

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: BackupAccountReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: BackupAccountReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:349

### `Static` toObject

- toObject(includeInstance: boolean, msg: BackupAccountReply): BackupAccountReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: BackupAccountReply

  #### Returns BackupAccountReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:348

Generated using TypeDoc